#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(objagg_obj_root_priv, "", "");
KSYMTAB_FUNC(objagg_obj_delta_priv, "", "");
KSYMTAB_FUNC(objagg_obj_raw, "", "");
KSYMTAB_FUNC(objagg_obj_get, "", "");
KSYMTAB_FUNC(objagg_obj_put, "", "");
KSYMTAB_FUNC(objagg_create, "", "");
KSYMTAB_FUNC(objagg_destroy, "", "");
KSYMTAB_FUNC(objagg_stats_get, "", "");
KSYMTAB_FUNC(objagg_stats_put, "", "");
KSYMTAB_FUNC(objagg_hints_get, "", "");
KSYMTAB_FUNC(objagg_hints_put, "", "");
KSYMTAB_FUNC(objagg_hints_stats_get, "", "");

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3E88BF9D3A1FBAD5CC53477");
